%define anolis_release 3

Summary:	Optimized MPEG Audio Layer 2 encoding library based on tooLAME
Name:		twolame
Version:	0.4.0
Release:	%{anolis_release}%{?dist}
# build-scripts/install-sh is MIT/X11
# build-scripts/{libtool.m4, ltmain.sh} are GPLv2+
License:	LGPLv2+
URL:		http://www.twolame.org/
Source:         https://nchc.dl.sourceforge.net/project/twolame/twolame/%{version}/twolame-%{version}.tar.gz

BuildRequires: make gcc
BuildRequires:	libsndfile-devel

%description
TwoLAME is an optimized MPEG Audio Layer 2 encoding library based on tooLAME,
which in turn is based heavily on
- the ISO dist10 code
- improvement to algorithms as part of the LAME project (www.sulaco.org/mp3)

This package contains the command line frontend.

%package libs
Summary:	TwoLAME is an optimized MPEG Audio Layer 2 encoding library based on tooLAME

%description libs
TwoLAME is an optimized MPEG Audio Layer 2 encoding library based on tooLAME,
which in turn is based heavily on
- the ISO dist10 code
- improvement to algorithms as part of the LAME project (www.sulaco.org/mp3)

This package contains the shared library.

%package devel
Summary:	Development tools for TwoLAME applications
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the header files and documentation
needed to develop applications with TwoLAME.

%package doc
Summary:	Documentation files for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup
# convert manpage to UTF8
pushd doc
iconv -f iso8859-1 -t utf8 %{name}.1 > %{name}.1.utf && mv %{name}.1.utf %{name}.1
# fix HTML docs line endings
for file in html/*.html ; do
	tr -d '\r' <$file >$file.unix && mv $file.unix $file
done
popd

%build
%configure --disable-static

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}

%ldconfig_scriptlets libs

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files libs
%dir %{abidir}
%{_libdir}/lib%{name}.so.*
%{abidir}/lib%{name}.dump

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%files doc
%doc AUTHORS ChangeLog README doc/api.txt doc/html doc/psycho.txt doc/vbr.txt

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 0.4.0-3
- optimize spec file

* Sun Mar 19 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.4.0-2
- optimize the spec file

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.0-1
- init from upstream
